


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
int i;
struct vf{
void  [1+1];
void ;
void * [10];
};

struct vf rr;
static struct vf recd(int *n) {
struct vf r;
 r.x=*n;
 r.y=*n+1;
 r.a [1]=*n;
 return &r;
}
 i=10;
 rr=recd(&i);
 i=recd(&i).y;
if (i==11 && rr.a [1]==10) {fprintf(out_file, "%s", "TEST OK"); exit(0);}
 fprintf(out_file, "%s", "TEST FAILED");
exit(0);
}

/* end of automatic translation */

